##### basic_waitable_timer::basic_waitable_timer (4 of 8 overloads)

Constructor to set a particular expiry time as an absolute time.

    template<
        typename ExecutionContext>
    basic_waitable_timer(
        ExecutionContext & context,
        const time_point & expiry_time,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value >  = 0);

This constructor creates a timer and sets the expiry time.

###### Parameters

context

  An execution context which provides the I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, expressed as an absolute time.